local Grid2StatusWeaponBuffOptions = {}
Grid2Options.plugins["Grid2StatusWeaponBuffOptions"] = Grid2StatusWeaponBuffOptions

local L = LibStub("AceLocale-3.0"):GetLocale("Grid2Options")
local DBL = LibStub:GetLibrary("LibDBLayers-1.0")

function Grid2StatusWeaponBuffOptions.UpgradeDefaults(dblData)
	local versionsSrc = dblData.versionsSrc
	local layer = dblData.classKey

	if (layer == "shaman") then
		if (versionsSrc.shaman.Grid2StatusWeaponBuffOptions < 1) then
			DBL:SetupLayerObject(dblData, "statuses", layer, "buff-mainhand", {type = "buff-mainhand", missing = true, color1 = {r=.5,g=.5,b=.5,a=1}})
			DBL:SetupMapObject(dblData, "statusMap", layer, "side-bottom", "buff-mainhand", 40)

			DBL:SetupLayerObject(dblData, "statuses", layer, "buff-offhand", {type = "buff-offhand", missing = true, color1 = {r=.2,g=.6,b=.7,a=1}})
			DBL:SetupMapObject(dblData, "statusMap", layer, "side-bottom", "buff-offhand", 30)

			versionsSrc.shaman.Grid2StatusWeaponBuffOptions = 1
		end
	elseif (layer == "rogue") then
		if (versionsSrc.rogue.Grid2StatusWeaponBuffOptions < 1) then
			DBL:SetupLayerObject(dblData, "statuses", layer, "buff-mainhand", {type = "buff-mainhand", missing = true, color1 = {r=.5,g=.5,b=.5,a=1}})
			DBL:SetupMapObject(dblData, "statusMap", layer, "side-bottom", "buff-mainhand", 40)

			DBL:SetupLayerObject(dblData, "statuses", layer, "buff-offhand", {type = "buff-offhand", missing = true, color1 = {r=.2,g=.6,b=.7,a=1}})
			DBL:SetupMapObject(dblData, "statusMap", layer, "side-bottom", "buff-offhand", 30)

			versionsSrc.rogue.Grid2StatusWeaponBuffOptions = 1
		end
	else
		if (versionsSrc[layer].Grid2StatusWeaponBuffOptions < 1) then
			versionsSrc[layer].Grid2StatusWeaponBuffOptions = 1
		end
	end
end

local prev_MakeStatusOptions = Grid2Options.MakeStatusOptions
function Grid2Options:MakeStatusOptions(dblData, reset, ...)
	self:AddOptionHandler("buff-mainhand", Grid2Options.MakeStatusStandardOptions)

	prev_MakeStatusOptions(self, dblData, reset, ...)
end

